services:
  beszel:
    image: henrygd/beszel:latest
    container_name: beszel
    restart: unless-stopped
    environment:
      APP_URL: http://localhost:6006
    ports:
      - 6006:8090
    volumes:
      - ./beszel_data:/beszel_data
      - ./beszel_socket:/beszel_socket

  beszel-agent:
    image: henrygd/beszel-agent:latest
    container_name: beszel-agent
    restart: unless-stopped
    network_mode: host
    volumes:
      - ./beszel_agent_data:/var/lib/beszel-agent
      - ./beszel_socket:/beszel_socket
      - /var/run/docker.sock:/var/run/docker.sock:ro
    environment:
      LISTEN: /beszel_socket/beszel.sock
      HUB_URL: http://localhost:6006
      TOKEN: 9d5-da269d3f3c8-1969-096ac6f82b
      KEY: "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGOM+LE83jDApjJmBik2UJWtVaiBjsw4MW0viqc9AfQB"
